package no.kolkinn.subsym.project2;

import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;

/**
 * Created by Mikael on 17.02.2016.
 */
public class AdultSelection {
    public static List<Problem.Phenotype> elitist(List<Problem.Phenotype> oldAdults, List<Problem.Phenotype> youngAdults, double percentageOldToKeep, boolean minimumOne) {
        assert 0. <= percentageOldToKeep && percentageOldToKeep <= 1.0;
        int numToKeep = (int) (oldAdults.size() * percentageOldToKeep);
        if(minimumOne) numToKeep = Math.min(1, numToKeep);
        return elitist(oldAdults, youngAdults, numToKeep);
    }

    public static List<Problem.Phenotype> elitist(List<Problem.Phenotype> oldAdults, List<Problem.Phenotype> youngAdults, int numOldToKeep) {
        return mixGenerations(greedy(oldAdults, numOldToKeep), youngAdults);
    }

    public static List<Problem.Phenotype> mixGenerations(List<Problem.Phenotype> oldAdults, List<Problem.Phenotype> youngAdults) {
        List<Problem.Phenotype> mix = new ArrayList<>(oldAdults.size() + youngAdults.size());
        mix.addAll(oldAdults);
        mix.addAll(youngAdults);
        return mix;
    }

    public static List<Problem.Phenotype> greedy(List<Problem.Phenotype> competitorsPool, int desiredPoolSize) {
        if(competitorsPool.isEmpty()) {
            return competitorsPool;
        }

        List<Problem.Phenotype> competitors = new ArrayList<>(competitorsPool.size());
        competitors.addAll(competitorsPool);

        if(competitors.size() > desiredPoolSize) {
            competitors.sort(Comparator.comparingDouble(Problem.Phenotype::getFitness).reversed());
            return new ArrayList<>(competitors.subList(0, desiredPoolSize));
        }
        return competitorsPool;
    }
}
