package no.kolkinn.subsym.project2;

/**
 * Created by Mikael on 17.02.2016.
 */
public interface Problem {
    Genotype generateGenotype();

    /**
     * Run at the beginning of each generation.
     * Can be used to make preparations for a new generation.
     */
    void prepareNewGeneration(int generationNumber);

    void stop();

    interface Genotype {
        Genotype[] crossover(Genotype mate);

        void mutate();

        Genotype copy();

        Phenotype developPhenotype();

        // TODO: 18.02.2016 equals and hashCode
    }

    interface Phenotype {
        Genotype getGenotype();

        double getFitness();

        String getInfo();

        // TODO: 18.02.2016 equals and hashCode
    }

}
