package no.kolkinn.subsym.project2.controllers;

import javafx.application.Platform;
import javafx.fxml.FXML;
import javafx.scene.control.TextArea;
import no.kolkinn.subsym.project2.EvolutionaryAlgorithm;
import no.kolkinn.subsym.project2.Problem;

/**
 * Created by Mikael on 23.02.2016.
 */
public class ResultsController {
    @FXML
    private TextArea results;

    public void printResults(EvolutionaryAlgorithm.Results results) {
        Problem.Phenotype phenotype = results.bestIndividual;
        if(Platform.isFxApplicationThread()) {
            _printResults(phenotype);
        } else {
            Platform.runLater(() -> _printResults(phenotype));
        }
    }

    private void _printResults(Problem.Phenotype phenotype) {
        results.appendText(String.format("\nFitness: %3.3f \t %s\n%s\n\n", phenotype.getFitness(), phenotype.getInfo(), phenotype.toString()));
    }
}
