package no.kolkinn.subsym.project2.controllers.problems;

import javafx.fxml.FXML;
import javafx.scene.control.CheckBox;
import javafx.scene.control.TextField;
import no.kolkinn.subsym.project2.problems.Lolz;
import no.kolkinn.subsym.project2.util.InputValidations;

/**
 * Created by mikael on 23/02/16.
 */
public class LolzController {
    @FXML private TextField crossoverPoints;
    @FXML private CheckBox uniformCrossover;
    @FXML private TextField mutationProbability;
    @FXML private CheckBox mutatePerComponent;
    @FXML private TextField bitVectorLength;
    @FXML private TextField maxLeadingZeros;

    public Lolz getProblemDefinition() {
        boolean error = false;

        error |= !InputValidations.isInteger(crossoverPoints, 0, Integer.MAX_VALUE);
        error |= !InputValidations.isDouble(mutationProbability, 0., 1.);
        error |= !InputValidations.isInteger(bitVectorLength, 0, Integer.MAX_VALUE);
        error |= !InputValidations.isInteger(maxLeadingZeros, 0, Integer.MAX_VALUE);

        if(error) {
            throw new IllegalArgumentException("Illegal argument in LolzController");
        } else {
            return new Lolz(Integer.valueOf(crossoverPoints.getText()),
                            uniformCrossover.isSelected(),
                            mutatePerComponent.isSelected(),
                            Double.valueOf(mutationProbability.getText()),
                            Integer.valueOf(bitVectorLength.getText()),
                            Integer.valueOf(maxLeadingZeros.getText()));
        }
    }
}
