package no.kolkinn.subsym.project2.controllers.problems;

import javafx.fxml.FXML;
import javafx.scene.control.CheckBox;
import javafx.scene.control.TextField;
import no.kolkinn.subsym.project2.problems.OneMax;
import no.kolkinn.subsym.project2.util.InputValidations;

/**
 * Created by Mikael on 22.02.2016.
 */
public class OneMaxController {
    @FXML private TextField crossoverPoints;
    @FXML private CheckBox uniformCrossover;
    @FXML private TextField mutationProbability;
    @FXML private CheckBox mutatePerComponent;
    @FXML private TextField bitVectorLength;
    @FXML private TextField targetVector;

    public OneMax getProblemDefinition() {
        boolean error = false;

        error |= !InputValidations.isInteger(crossoverPoints, 0, Integer.MAX_VALUE);
        error |= !InputValidations.isDouble(mutationProbability, 0., 1.);
        error |= !InputValidations.isInteger(bitVectorLength, 0, Integer.MAX_VALUE);

        if(error) {
            throw new IllegalArgumentException("Illegal argument in OneMaxController");
        } else {
            return new OneMax(Integer.valueOf(crossoverPoints.getText()),
                              uniformCrossover.isSelected(),
                              mutatePerComponent.isSelected(),
                              Double.valueOf(mutationProbability.getText()),
                              Integer.valueOf(bitVectorLength.getText()),
                              targetVector.getText());
        }
    }
}
