package no.kolkinn.subsym.project2.phenotypes;

import java.util.Arrays;

/**
 * Created by Mikael on 17.02.2016.
 */
public class BitVector {
    private final boolean[] vector;

    public BitVector(no.kolkinn.subsym.project2.genotypes.BitVector genotype) {
        this.vector = genotype.toBooleanArray();
    }

    /**
     * @return defensive copy of boolean array representation
     */
    public boolean[] toBooleanArray() {
        return vector.clone();
    }

    @Override
    public int hashCode() {
        return Arrays.hashCode(vector);
    }

    @Override
    public boolean equals(Object obj) {
        if(obj instanceof BitVector) {
            return (Arrays.equals(vector, ((BitVector) obj).toBooleanArray()));
        }
        return false;
    }

    @Override
    public String toString() {
        StringBuilder builder = new StringBuilder();
        builder.append("[");
        for(int i = 0; i < vector.length; i++) {
            builder.append(vector[i] ? "1" : "0");
            if(i < vector.length - 1) {
                builder.append(", ");
            }
        }
        builder.append("]");
        return builder.toString();
    }
}