package no.kolkinn.subsym.project2.phenotypes;

import java.util.Arrays;

/**
 * Created by Mikael on 29.03.2016.
 */
public class DoubleVector {
    protected double[] vector;
    public DoubleVector(double[] vector) {
        this.vector = vector.clone();
    }

    public DoubleVector(DoubleVector vector) {
        this(vector.toDoubleArray());
    }

    /**
     * @return defensive copy of double array representation
     */
    public double[] toDoubleArray() {
        return vector.clone();
    }

    @Override
    public int hashCode() {
        return Arrays.hashCode(vector);
    }

    @Override
    public boolean equals(Object obj) {
        if(obj instanceof DoubleVector) {
            return Arrays.equals(vector, ((DoubleVector) obj).toDoubleArray());
        }
        return false;
    }

    @Override
    public String toString() {
        return Arrays.toString(vector);
    }
}
