package jcolibri.method.maintenance;

import java.util.Collections;
import java.util.LinkedList;
import java.util.List;

import jcolibri.cbrcore.CBRCase;

/**
 * Stores the case result information. It contains a <case, result> pair.
 * The result is some double value related to the case. 
 *
 * @author Lisa Cummins
 */
public class CaseResult extends QueryResult
	implements Comparable
{
	/**
	 * Sets up a <case, result> pair.
	 * @param _case The case to be stored
	 * @param result The result associated with this case.
	 */
	public CaseResult(CBRCase _case, double result)
	{   super(_case, result);	
	}

	/**
	 * Returns the case.
	 * @return the case.
	 */
	public CBRCase getCase() 
	{	return (CBRCase)_case;
	}
}