package no.kolkinn.cbr_dovre.demo;

import java.awt.Color;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.Map;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import no.kolkinn.cbr_dovre.cbr.Caze;
import no.kolkinn.cbr_dovre.models.Attributes;

public class QueryPanel extends JPanel {

    private static final long serialVersionUID = 1L;

    private JLabel lblAvsjoen = new JLabel("Avsjøen");
    private JLabel lblFokstugu = new JLabel("Fokstugu");
    private JLabel lblHjerkinn = new JLabel("Hjerkinn");

    private JLabel lblWindSpeed = new JLabel("Wind Speed");
    private JLabel lblWindDirection = new JLabel("Wind Direction");
    private JLabel lblFriction = new JLabel("Friction");
    private JLabel lblTemperature = new JLabel("Temperature");

    private JTextField txtWindSpeedAvsjoen = new JTextField(5);
    private JTextField txtWindSpeedFokstugu = new JTextField(5);
    private JTextField txtWindSpeedHjerkinn = new JTextField(5);

    private JTextField txtWindDirectionAvsjoen = new JTextField(5);
    private JTextField txtWindDirectionFokstugu = new JTextField(5);
    private JTextField txtWindDirectionHjerkinn = new JTextField(5);

    private JTextField txtFrictionAvsjoen = new JTextField(5);
    private JTextField txtFrictionFokstugu = new JTextField(5);

    private JTextField txtTemperatureAvsjoen = new JTextField(5);
    private JTextField txtTemperatureFokstugu = new JTextField(5);
    private JTextField txtTemperatureHjerkinn = new JTextField(5);

    public QueryPanel() {
        super(new GridBagLayout());
        setBorder(BorderFactory.createLineBorder(Color.BLACK, 2, true));
        GridBagConstraints c = new GridBagConstraints();
        c.insets.left = 10;
        c.insets.right = 10;
        c.gridx = 1;
        c.gridy = 0;
        add(lblAvsjoen, c);
        c.gridx = 2;
        c.gridy = 0;
        add(lblFokstugu, c);
        c.gridx = 3;
        c.gridy = 0;
        add(lblHjerkinn, c);
        c.gridx = 0;
        c.gridy = 1;
        add(lblWindSpeed, c);
        c.gridx = 0;
        c.gridy = 2;
        add(lblWindDirection, c);
        c.gridx = 0;
        c.gridy = 3;
        add(lblFriction, c);
        c.gridx = 0;
        c.gridy = 4;
        add(lblTemperature, c);
        c.gridx = 1;
        c.gridy = 1;
        add(txtWindSpeedAvsjoen, c);
        c.gridx = 2;
        c.gridy = 1;
        add(txtWindSpeedFokstugu, c);
        c.gridx = 3;
        c.gridy = 1;
        add(txtWindSpeedHjerkinn, c);
        c.gridx = 1;
        c.gridy = 2;
        add(txtWindDirectionAvsjoen, c);
        c.gridx = 2;
        c.gridy = 2;
        add(txtWindDirectionFokstugu, c);
        c.gridx = 3;
        c.gridy = 2;
        add(txtWindDirectionHjerkinn, c);
        c.gridx = 1;
        c.gridy = 3;
        add(txtFrictionAvsjoen, c);
        c.gridx = 2;
        c.gridy = 3;
        add(txtFrictionFokstugu, c);
        c.gridx = 1;
        c.gridy = 4;
        add(txtTemperatureAvsjoen, c);
        c.gridx = 2;
        c.gridy = 4;
        add(txtTemperatureFokstugu, c);
        c.gridx = 3;
        c.gridy = 4;
        add(txtTemperatureHjerkinn, c);
    }

    public Caze getQuery() {
        LocalDateTime timestamp = LocalDateTime.now();
        Map<String, Double> values = new HashMap<>();
        values.put(Attributes.WIND_SPEED_FOKSTUGU, (txtWindSpeedFokstugu.getText().equals("") ? null
                                                                                              : Double.parseDouble(
                txtWindSpeedFokstugu.getText().trim().replace(',', '.'))));
        values.put(Attributes.WIND_DIRECTION_FOKSTUGU, (txtWindDirectionFokstugu.getText().equals("") ? null
                                                                                                          : Double.parseDouble(
                txtWindDirectionFokstugu.getText().trim().replace(',', '.'))));
        values.put(Attributes.FRICTION_FOKSTUGU, (txtFrictionFokstugu.getText().equals("") ? null
                                                                                                     : Double.parseDouble(
                txtFrictionFokstugu.getText().trim().replace(',', '.'))));
        values.put(Attributes.TEMPERATURE_FOKSTUGU, (txtTemperatureFokstugu.getText().equals("") ? null
                                                                                                        : Double.parseDouble(
                txtTemperatureFokstugu.getText().trim().replace(',', '.'))));
        values.put(Attributes.WIND_SPEED_AVSJOEN, (txtWindSpeedAvsjoen.getText().equals("") ? null
                                                                                            : Double.parseDouble(
                txtWindSpeedAvsjoen.getText().trim().replace(',', '.'))));
        values.put(Attributes.WIND_DIRECTION_AVSJOEN, (txtWindDirectionAvsjoen.getText().equals("") ? null
                                                                                                         : Double.parseDouble(
                txtWindDirectionAvsjoen.getText().trim().replace(',', '.'))));
        values.put(Attributes.FRICTION_AVSJOEN, (txtFrictionAvsjoen.getText().equals("") ? null
                                                                                                    : Double.parseDouble(
                txtFrictionAvsjoen.getText().trim().replace(',', '.'))));
        values.put(Attributes.TEMPERATURE_AVSJOEN, (txtTemperatureAvsjoen.getText().equals("") ? null
                                                                                                       : Double.parseDouble(
                txtTemperatureAvsjoen.getText().trim().replace(',', '.'))));
        values.put(Attributes.WIND_SPEED_HJERKINN, (txtWindSpeedHjerkinn.getText().equals("") ? null
                                                                                                      : Double.parseDouble(
                txtWindSpeedHjerkinn.getText().trim().replace(',', '.'))));
        values.put(Attributes.WIND_DIRECTION_HJERKINN, (txtWindDirectionHjerkinn.getText().equals("") ? null
                                                                                                          : Double.parseDouble(
                txtWindDirectionHjerkinn.getText().trim().replace(',', '.'))));
        values.put(Attributes.TEMPERATURE_HJERKINN, (txtTemperatureHjerkinn.getText().equals("") ? null
                                                                                                         : Double.parseDouble(
                txtTemperatureHjerkinn.getText().trim().replace(',', '.'))));
        return new Caze(timestamp, "", values, null);
    }
}
