package no.kolkinn.cbr_dovre.models;

/**
 * Constants containing the name per attribute used in the CSV files.
 */
public final class Attributes {

    // Attribute types
    public static final String TIME = "Time",
            WIND_SPEED = "Wind speed",
            WIND_DIRECTION = "Wind direction",
            FRICTION = "Friction",
            TEMPERATURE = "Temperature",
            VISIBILITY = "Visibility",
            SPEED_LIMIT = "Speed limit",
            PRECIPITATION = "Precipitation",
            DECISION = "Decision";

    // Locations. Includes the separator (space) between the attribute and the location
    public static final String FOKSTUGU = " Fokstugu",
            AVSJOEN = " Avsjoen",
            HJERKINN = " Hjerkinn";

    // Combined attribute and location
    public static final String WIND_SPEED_FOKSTUGU = WIND_SPEED + FOKSTUGU,
            WIND_DIRECTION_FOKSTUGU = WIND_DIRECTION + FOKSTUGU,
            FRICTION_FOKSTUGU = FRICTION + FOKSTUGU,
            TEMPERATURE_FOKSTUGU = TEMPERATURE + FOKSTUGU,
            VISIBILITY_FOKSTUGU = VISIBILITY + FOKSTUGU,
            SPEED_LIMIT_FOKSTUGU = SPEED_LIMIT + FOKSTUGU,
            PRECIPITATION_FOKSTUGU = PRECIPITATION + FOKSTUGU,
            WIND_SPEED_AVSJOEN = WIND_SPEED + AVSJOEN,
            WIND_DIRECTION_AVSJOEN = WIND_DIRECTION + AVSJOEN,
            FRICTION_AVSJOEN = FRICTION + AVSJOEN,
            TEMPERATURE_AVSJOEN = TEMPERATURE + AVSJOEN,
            VISIBILITY_AVSJOEN = VISIBILITY + AVSJOEN,
            SPEED_LIMIT_AVSJOEN = SPEED_LIMIT + AVSJOEN,
            PRECIPITATION_AVSJOEN = PRECIPITATION + AVSJOEN,
            WIND_SPEED_HJERKINN = WIND_SPEED + HJERKINN,
            WIND_DIRECTION_HJERKINN = WIND_DIRECTION + HJERKINN,
            TEMPERATURE_HJERKINN = TEMPERATURE + HJERKINN,
            VISIBILITY_HJERKINN = VISIBILITY + HJERKINN,
            PRECIPITATION_HJERKINN = PRECIPITATION + HJERKINN;

    public static final String[] ALL_LOCATIONS = new String[] {
            FOKSTUGU,
            AVSJOEN,
            HJERKINN
    };
}
