package no.kolkinn.cbr_dovre.models;

import java.util.HashMap;
import java.util.Map;

/**
 * Similarity functions for Model 1
 */
public class Model1 extends SimilarityFunctions {

    public static final String[] ATTRIBUTES = {
            Attributes.WIND_SPEED,
            Attributes.WIND_DIRECTION,
            Attributes.FRICTION,
            Attributes.TEMPERATURE
    };

    public static final Map<String, Double> DEFAULT_WEIGHTS;

    static {
        DEFAULT_WEIGHTS = new HashMap<>();
        DEFAULT_WEIGHTS.put(Attributes.WIND_SPEED, 1.0);
        DEFAULT_WEIGHTS.put(Attributes.WIND_DIRECTION, 1.0);
        DEFAULT_WEIGHTS.put(Attributes.FRICTION, 1.0);
        DEFAULT_WEIGHTS.put(Attributes.TEMPERATURE, 1.0);
    }

    /**
     * Uses the default weights
     */
    public Model1(boolean simpleKNN) {
        this(null, simpleKNN);
    }

    /**
     * @param weights Weights to be used. Missing attribute weights will use defaults.
     */
    public Model1(Map<String, Double> weights, boolean simpleKNN) {
        super(ATTRIBUTES, replaceWeights(ATTRIBUTES, DEFAULT_WEIGHTS, weights), simpleKNN);
    }
}
