package no.kolkinn.cbr_dovre.new_cbr.similarity

import no.kolkinn.cbr_dovre.cbr.Decision
import no.kolkinn.cbr_dovre.models.SimilarityFunctions

/**
 * Created by Mikael on 15.10.2016.
 */
class LogarithmicTest extends GroovyTestCase {
    Logarithmic logarithmic
    SimilarityFunctions similarityFunctions

    void setUp() {
        super.setUp()

        logarithmic = new Logarithmic(4.0, 1.0)
        similarityFunctions = new SimilarityFunctions(null, null, false)
    }

    // Test for equality against the original visibility similarity
    void testComputeVisibility() {
        for (int i = 0; i < 10000; i += 10) {
            for (int j = 0; j < 10000; j += 11) {
                assert logarithmic.compute(i, j) == similarityFunctions.visibilitySimilarity(i, Decision.CONVOY, j)
            }
        }
    }

    // Test for equality against the original friction similarity
    void testComputeFriction() {
        for (int i = 0; i < 100; i += 1) {
            for (int j = 0; j < 100; j += 3) {
                assert logarithmic.compute(i / 100.0, j / 100.0) == similarityFunctions.visibilitySimilarity(i / 100.0, Decision.CONVOY, j / 100.0)
            }
        }
    }
}
