package no.kolkinn.cbr_dovre.new_cbr.similarity

import no.kolkinn.cbr_dovre.cbr.Decision
import no.kolkinn.cbr_dovre.models.SimilarityFunctions

/**
 * Created by Mikael on 15.10.2016.
 */
class SigmoidTest extends GroovyTestCase {
    Sigmoid windSpeed
    Sigmoid temperature
    SimilarityFunctions similarityFunctions

    void setUp() {
        super.setUp()

        windSpeed = new Sigmoid(12.5, 5.0, 2.0)
        temperature = new Sigmoid(0.0, 2.0, 2.0)
        similarityFunctions = new SimilarityFunctions(null, null, false)
    }

    // Test for equality with original wind speed similarity
    void testComputeWindSpeed() {
        for (int i = 0; i < 1000; i += 10) {
            for (int j = 0; j < 1000; j += 11) {
                assert windSpeed.compute(i/10.0, j/10.0) == similarityFunctions.windSpeedSimilarity(i/10.0, Decision.CONVOY, j/10.0)
            }
        }
    }

    // Test for equality with original temperature similarity
    void testComputeTemperature() {
        for (int i = -600; i < 600; i += 10) {
            for (int j = -600; j < 600; j += 11) {
                assert temperature.compute(i/10.0, j/10.0) == similarityFunctions.temperatureSimilarity(i/10.0, j/10.0)
            }
        }
    }
}
